package CRSDK;

@SuppressWarnings("unused")
public enum CrWarningExt_OperationResultsParam {
    CrWarningExt_OperationResultsParam_Invalid (0x00000000),
    CrWarningExt_OperationResultsParam_OK (CrWarningExt_OperationResultsParam_Invalid.getValue()+1),
    CrWarningExt_OperationResultsParam_NG (CrWarningExt_OperationResultsParam_Invalid.getValue()+2),
    CrWarningExt_OperationResultsParam_InvalidParameterError(CrWarningExt_OperationResultsParam_Invalid.getValue()+3),
    CrWarningExt_OperationResultsParam_CameraStatusError(CrWarningExt_OperationResultsParam_Invalid.getValue()+4),
    CrWarningExt_OperationResultsParam_ExecuteCanceled(CrWarningExt_OperationResultsParam_Invalid.getValue()+5),
    CrWarningExt_OperationResultsParam_CharacterSizeError (0x00000011),
    CrWarningExt_OperationResultsParam_LowBrightnessError (CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+1),
    CrWarningExt_OperationResultsParam_TimeLimitExceededError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+2),
    CrWarningExt_OperationResultsParam_HighBrightnessError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+3),
    CrWarningExt_OperationResultsParam_ColorTempHighError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+4),
    CrWarningExt_OperationResultsParam_ColorTempLowError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+5),
    CrWarningExt_OperationResultsParam_TintOutOfRangeError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+6),
    CrWarningExt_OperationResultsParam_PoorWhiteAreaError(CrWarningExt_OperationResultsParam_CharacterSizeError.getValue()+7);

    private final CrInt32 value;
    CrWarningExt_OperationResultsParam(int value) {
        this.value = new CrInt32(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
